package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussIpLocationCache;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussIpLocationCacheMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussIpLocationCache record);

    int insertSelective(TbPlussIpLocationCache record);

    TbPlussIpLocationCache selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussIpLocationCache record);

    int updateByPrimaryKey(TbPlussIpLocationCache record);
}